package kr.co.uplus.ez.api.calculate.dto;

import java.io.Serializable;

import io.swagger.annotations.ApiModelProperty;
import kr.co.uplus.ez.api.stats.dto.BsnmDayListRes;
import kr.co.uplus.ez.api.stats.dto.BsnmDayListResDto;
import kr.co.uplus.ez.common.data.ApiResponseCode;
import kr.co.uplus.ez.common.data.ResponseMessage;
import lombok.Data;

@SuppressWarnings("serial")
@Data
public class CalcListResDto extends ResponseMessage implements Serializable{

	@ApiModelProperty(example = "데이터")
	private CalcListRes data;

	public CalcListResDto() {
		this.retCode = ApiResponseCode.SUCCESS.getResultCode();
		this.retMsg = ApiResponseCode.SUCCESS.getResultMsg();
	}

	public CalcListResDto(ApiResponseCode returnStr) {
		this.retCode = returnStr.getResultCode();
		this.retMsg = returnStr.getResultMsg();
	}

	public CalcListResDto(ApiResponseCode returnStr, CalcListRes data) {
		this.retCode = returnStr.getResultCode();
		this.retMsg = returnStr.getResultMsg();
		this.data = data;
	}

}
